# use appimage from https://github.com/0ad-matters/0ad-appimage/releases


%define __os_install_post %{nil}

Name:	fluent-reader
Version:	1.1.3
Release:	%mkrel 1
License:	GPLv3
Group:	Networking/News
Summary:	A modern desktop RSS reader
Url:		https://github.com/yang991178/fluent-reader
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
Fluent Reader is a modern RSS reader built with a bunch
of modern technology - Electron, React and it's own Fluent UI.

%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/yang991178/fluent-reader/releases/download/v%{version}/Fluent.Reader.%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Fluent.Reader.%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Tue Apr 25 2023 tex - 1.1.3-1pclos2023
- create pkg
